#!/usr/bin/env bash

source "./tool.sh"

nodePath=${1}
fileName="node"
xz="xz"
tar="tar"
version="v8.7.0"

download() {
  cmd "wget -P $nodePath https://nodejs.org/dist/$version/node-$version-linux-arm64.tar.xz"
}

uzip() {
  cd $nodePath
  cmd "xz -d $nodePath/$fileName*.$xz"
  cmd "tar -xvf $nodePath/node-v8.7.0-*.$tar"
  cmd "mv $nodePath/node-$version*/ $nodePath/node-$version"
}

setEnv() {
  export NODE_PATH=$nodePath/node-$version
  export PATH=$PATH:NODE_PATH/bin
  echo "env successful"
}

if [ $nodePath == "" ];then
	nodePath=.
fi
download
uzip
setEnv
